HTMLCLEAN(1)

NAME
htmlclean - a small script to clean up existing HTML

SYNOPSIS
htmlclean [-v] [-V] file1 [file2 file3 ...]

DESCRIPTION
This program provides a command-line interface to the HTML::Clean module, which can help you to provide more compatible, smaller HTML files at the expense of reducing the human readability of the HTML code. In some cases you may be able to reduce the size of your HTML by up to 50%!

The HTML::Clean library provides a number of features that improve your HTML for browsing and serving:

htmlclean passes each file given on the command line to the library and writes out the new HTML according to the specified options. The default is to create a backup file and replace the file with cleaned HTML.

Removing whitespace, Comments and other useless or redundant constructs

Insuring that font tags work across multiple operating systems

For full details see the documentations for the HTML::Clean manpage itself.

OPTIONS

-V  Print the version of the program.

-v  Verbose mode. Print out the original and final file sizes, plus the compression percent. For example:

      5261   4065 22% /tmp/development-es.html
      5258   4061 22% /tmp/development-fr.html
      4651   3683 20% /tmp/development.html

SEE ALSO
For the library, see the HTML::Clean manpage

AUTHOR
htmlclean is written by Paul Lindner, <paul.lindner@itu.int>

COPYRIGHT
Copyright (c> 1998 by ITU under the same terms as Perl.